Bug 967572 - PRD33 - mom integration - balloon to try and get memory up to guaranteed memory
PRD33 - mom integration - balloon to try and get memory up to guaranteed memory
Status: CLOSED ERRATA
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: RFEs (Show other bugs)
3.1.0
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 3.3.0
Assigned To: Martin Sivák
Lukas Svaty
sla
: FutureFeature
Depends On:
Blocks: 1019470
  Show dependency treegraph
 
Reported: 2013-05-27 09:28 EDT by Itamar Heim
Modified: 2016-02-10 15:16 EST (History)
10 users (show)

See Also:
Fixed In Version: is7
Doc Type: Release Note
Doc Text:
This feature makes it possible to use virtio balloons for memory optimization. Every virtual machine in clusters with a compatibility level of 3.2 and higher includes a balloon device unless that device is specifically removed. This balloon device requires guest drivers and a guest agent to control the balloon size. Ballooning optimization is a cluster-level policy attribute, which is disabled by default. To have a balloon running, the virtual machine must have a balloon device with the relevant drivers, and the cluster it belongs to must enable ballooning optimization. Each host in the cluster receives a balloon policy update when the status of that host changes to 'Up'. A manual option is also available for emergencies that makes it possible to force an update for a specific host. Once this is set, MoM will start ballooning where and when possible to allow memory over-commitment, with a limitation of the guaranteed memory size that every virtual machine has. Note that in some scenarios ballooning may collide with KSM. In such cases, MoM will attempt to adjust the balloon size to minimize collisions. Additionally, in some scenarios ballooning may cause sub-optimal performance for a virtual machine. Administrators are advised to use ballooning optimization with caution.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-21 12:23:41 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: SLA
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 15799 None None None Never
oVirt gerrit 15800 None None None Never
oVirt gerrit 15801 None None None Never
oVirt gerrit 15955 None None None Never

  None (edit)
Description Itamar Heim 2013-05-27 09:28:52 EDT

    
Comment 1 yeylon@redhat.com 2013-06-26 14:24:58 EDT
how do we test this?
Comment 2 Doron Fediuck 2013-06-27 08:57:39 EDT
- Configure a VM with 2 GB RAM, and 1 GB guaranteed memory.
- Make sure MoM has its balloon policy working.
- use vdsClient to get VM stats. You should be able to see the balloon stats and verify it does not exceed the minimum guaranteed you defined.

balloonInfo = {'balloon_max': 3145728, 'balloon_cur': 3145728}
Comment 6 Cheryn Tan 2013-09-30 01:13:30 EDT
Hi Doron, please review the 'Doc Text' for accuracy. Thank you!
Comment 7 Doron Fediuck 2013-09-30 05:52:25 EDT
(In reply to Cheryn Tan from comment #6)
> Hi Doron, please review the 'Doc Text' for accuracy. Thank you!

Done. Much appreciated!
Comment 8 errata-xmlrpc 2014-01-21 12:23:41 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2014-0038.html

Note You need to log in before you can comment on or make changes to this bug.